# SpecFileLicense: GPLv3+

Name: monkeysphere
Summary: Use the OpenPGP web of trust to verify SSH connections
Version: 0.41
Release: 1%{?dist}
License: GPLv3+
URL: http://web.monkeysphere.info/

Source: http://archive.monkeysphere.info/debian/pool/%{name}/m/%{name}/%{name}_%{version}.orig.tar.gz

Patch0: script-interpreter-warnings.patch

BuildRequires: perl-generators
BuildRequires: libgcrypt-devel
BuildRequires: libassuan-devel

Requires(pre): shadow-utils
Requires: gnupg
Requires: openssh-clients
Requires: perl


%description
SSH key-based authentication is tried-and-true, but it lacks a true
Public Key Infrastructure for key certification, revocation and
expiration.  Monkeysphere is a framework that uses the OpenPGP web of
trust for these PKI functions.  It can be used in both directions: for
users to get validated host keys, and for hosts to authenticate users.


%prep
%autosetup -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS" %make_build

%install
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_var}/lib/%{name}/authorized_keys
rm -r %{buildroot}%{_datadir}/%{name}/transitions/
chmod -cR 0644 %{buildroot}%{_mandir}/*/*
chmod -cR 0644 src/transitions/*
chmod -cR 0755 %{buildroot}%{_var}/lib/%{name}/


%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
    useradd -r -g %{name} -d %{_var}/lib/%{name} -s /sbin/nologin \
    -c "Monkeysphere authentication user" %{name}
exit 0


%files
%license COPYING
%doc README src/transitions/

%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}-authentication.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}-host.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/agent-transfer
%{_bindir}/openpgp2ssh
%{_bindir}/pem2openpgp
%{_bindir}/openpgp2pem
%{_bindir}/openpgp2spki
%{_sbindir}/%{name}-authentication
%{_sbindir}/%{name}-host

%{_datadir}/%{name}/VERSION
%{_datadir}/%{name}/checkperms
%{_datadir}/%{name}/common
%{_datadir}/%{name}/defaultenv
%{_datadir}/%{name}/keytrans
%{_datadir}/%{name}/%{name}-authentication-keys-for-user
%{_datadir}/%{name}/m
%{_datadir}/%{name}/ma
%{_datadir}/%{name}/mh

%{_docdir}/%{name}/Changelog
%{_docdir}/%{name}/examples/*

%{_mandir}/*/*

%attr(-,root,root) %dir %{_var}/lib/%{name}
%attr(-,root,root) %dir %{_var}/lib/%{name}/authorized_keys


%changelog
* Wed Dec 21 2016 Christopher Tubbs <ctubbsii@fedoraproject.org> - 0.41-1
- Update to 0.41 (bz#1402815)

* Wed Nov 02 2016 Christopher Tubbs <ctubbsii@fedoraproject.org> - 0.40-2
- Use correct make flags (bz#1391110) and fix rpmlint script interpreter errors

* Sat Oct 29 2016 Christopher Tubbs <ctubbsii@fedoraproject.org> - 0.40-1
- Update to 0.40 (bz#1347885)

* Tue Feb 23 2016 Dennis Chen <barracks510@gmail.com> - 0.37.1
- Update to latest version of software for f24 rawhide

* Tue Feb 23 2016 Dennis Chen <barracks510@gmail.com> - 0.36-6
- Include new files

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jul 11 2015 Till Maas <opensource@till.name> - 0.36-4
- Fix building
- Use %%license

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.36-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Sep 02 2013 Patrick Uiterwijk <patrick@puiterwijk.org> - 0.36-1
- Rebase to upstream 0.3.6
- Update spec file to newest spec requirements

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.35-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.35-7
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.35-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.35-5
- Set owner correctly for /var/lib/monkeysphere and /var/lib/monkeysphere/authorized_keys for sshd to read them (RHBZ #732203)
- Make monkeysphere use sudo instead of su to make it able to execute privileged operations with /sbin/nologin login shell (RHBZ #732191)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.35-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu May 19 2011 Bernie Innocenti <bernie@codewiz.org> - 0.35-3
- Add license meta-tag for spec file
- Import in Fedora

* Tue May 03 2011 Bernie Innocenti <bernie@codewiz.org> - 0.35-2
- Fix permissions on manpages
- Remove BuildRoot

* Tue May  3 2011 Michal Nowak <mnowak@redhat.com> - 0.35-1
- 0.35 bump
- guidelines fixes

* Sun Sep 12 2010 Bernie Innocenti <bernie@codewiz.org> - 0.31-2
- Fix problems identified by reviewer

* Sun Sep 12 2010 Bernie Innocenti <bernie@codewiz.org> - 0.31-1
- Update to 0.31

* Thu Apr 01 2010 Bernie Innocenti <bernie@codewiz.org> - 0.28-4
- Add /var/lib/monkeysphere/authorized_keys

* Tue Mar 30 2010 Bernie Innocenti <bernie@codewiz.org> - 0.28-3
- Give a real shell to monkeysphere user.
- Simplify pre/postun macros.

* Tue Mar 30 2010 Bernie Innocenti <bernie@codewiz.org> - 0.28-2
- Create user monkeysphere on installation.

* Tue Mar 30 2010 Bernie Innocenti <bernie@codewiz.org> - 0.28-1
- Update to 0.28.
- Various fixes for Fedora.

* Sat Nov 22 2008 Anonymous Coward <anonymous@example.com> - 0.22
- Initial release.
